stages:
    - helm-install

Deploy-Kubernetes:
  stage: helm-install
  image: registry.sinam.net:8433/adiltest/helm-kubectl:1.0
  script:
    - mkdir ~/.kube
    - echo "$kubeconfig" > ~/.kube/config
    - chmod 600 ~/.kube/config
    - cd ingress-task
    #- kubectl create ns $CI_COMMIT_BRANCH
    - helm upgrade --install --set indexhtml=$CI_COMMIT_BRANCH --kubeconfig ~/.kube/config ingress-task . --namespace $CI_COMMIT_BRANCH 
  #rules:
  #  - if: '$CI_PIPELINE_SOURCE == "merge_request_event" && $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "main"'
